using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Threading.Tasks;

namespace Bailun.DC.SyncLogisticInfo
{
    class Program
    {
        /// <summary>
        /// 同步物流对账基础数据
        /// </summary>
        /// <param name="args"></param>
        static async Task Main(string[] args)
        {
            Console.WriteLine("启动服务=>同步基础物流数据服务 " + DateTime.Now.ToString("yyyy-MM-dd HH:mm:ss"));
            var builder = new HostBuilder().ConfigureServices((hostContext, services) =>
            {
                services.AddHostedService<Services>();
            });

            await builder.RunConsoleAsync();
        }



        //static void Main(string[] args)
        //{
        //    Console.WriteLine("Hello World!");

        //    var _service = new Services();
        //    _service.Init();

        //}



    }
}
